FileUploadCompleteEvent (gCube File Upload Progress Bar Widget 1.3.0-3.8.0 API)
Date: 2015-08-07

org.gcube.portlets.widgets.fileupload.client.events

## Class FileUploadCompleteEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<FileUploadCompleteEventHandler>
    - - org.gcube.portlets.widgets.fileupload.client.events.FileUploadCompleteEvent

-     public class FileUploadCompleteEvent
      extends com.google.gwt.event.shared.GwtEvent<FileUploadCompleteEventHandler>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.google.gwt.event.shared.GwtEvent.Type<FileUploadCompleteEventHandler>` | `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileUploadCompleteEvent(UploadProgressChangeEvent uploadedFile)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(FileUploadCompleteEventHandler handler)`
    `com.google.gwt.event.shared.GwtEvent.Type<FileUploadCompleteEventHandler>` | `getAssociatedType()`
    `UploadProgressChangeEvent` | `getUploadedFileInfo()`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static com.google.gwt.event.shared.GwtEvent.Type<FileUploadCompleteEventHandler> TYPE

  - ### Constructor Detail

    - #### FileUploadCompleteEvent

          public FileUploadCompleteEvent(UploadProgressChangeEvent uploadedFile)

  - ### Method Detail

    - #### getUploadedFileInfo

          public UploadProgressChangeEvent getUploadedFileInfo()

    - #### getAssociatedType

          public com.google.gwt.event.shared.GwtEvent.Type<FileUploadCompleteEventHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<FileUploadCompleteEventHandler>`

    - #### dispatch

          protected void dispatch(FileUploadCompleteEventHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<FileUploadCompleteEventHandler>`

Copyright © 2015. All Rights Reserved.